AUPARSE_GET_RECORD_NUM(3)

NAME
auparse_get_record_num - get current record cursor location

SYNOPSIS
#include <auparse.h>

unsigned int auparse_get_record_num(auparse_state_t *au);

DESCRIPTION
auparse_get_record_num will retreive the internal library cursors current record location in the current event. Records within the same event are numbered starting from 0. This is generally not needed but there are some cases where one may want to know the exact record being looked at.

RETURN VALUE
Returns the current record cursor location.

SEE ALSO
auparse_goto_record_num(3),auparse_get_field_num(3).

AUTHOR
Steve Grubb